Get events catalogue
curl --request POST \
--url https://www.wander-service.fr/api/clients/v2/get/catalogue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationFilter": {},
"lastUpdatedAt": "<string>",
"trackAvailabilities": true,
"limit": 250.5,
"pageNumber": 123
}
'import requests
url = "https://www.wander-service.fr/api/clients/v2/get/catalogue"
payload = {
"locationFilter": {},
"lastUpdatedAt": "<string>",
"trackAvailabilities": True,
"limit": 250.5,
"pageNumber": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationFilter: {},
lastUpdatedAt: '<string>',
trackAvailabilities: true,
limit: 250.5,
pageNumber: 123
})
};
fetch('https://www.wander-service.fr/api/clients/v2/get/catalogue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"events": [
{
"id": 123,
"wanderId": 123,
"wanderLink": "<string>",
"name": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"lowestPrice": 123,
"highestPrice": 123,
"description": "<string>",
"hasGoodDeal": true,
"image": "<string>",
"imageHeight": 123,
"imageWidth": 123,
"squareImage": "<string>",
"rectangleImage": "<string>",
"webImage": "<string>",
"notAvailableAt": "<string>",
"cancelledAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"googlePlace": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"lng": 123,
"lat": 123,
"averageGrade": 123,
"totalGrades": 123,
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"photoRef": "<string>",
"website": "<string>",
"editorialSummary": "<string>",
"periods": [
{
"open": {
"day": 123,
"time": "<string>"
},
"close": {
"day": 123,
"time": "<string>"
}
}
]
},
"place": {
"id": 123,
"googleId": "<string>",
"name": "<string>",
"address": {
"lng": 123,
"lat": 123,
"street": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"image": "<string>",
"squareImage": "<string>",
"rectangleImage": "<string>",
"averageGrade": 123,
"totalGrades": 123
},
"sources": [
{
"id": 123,
"partner": {
"name": "<string>",
"logo": "<string>",
"backColor": "<string>"
},
"startDate": "<string>",
"endDate": "<string>",
"lowestPrice": 123,
"highestPrice": 123,
"isGoodDeal": true,
"commissionFix": 123,
"commissionPerTicket": 123,
"commissionPerCart": 123,
"commissionRate": 123,
"link": "<string>",
"isBookable": true,
"availableDates": [
{
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"hasUnknownAvailability": true
}
],
"averageGrade": 123,
"totalGrades": 123,
"cantRetrieveAvailableDates": true,
"notAvailableAt": "<string>"
}
],
"categories": [
{
"id": 123,
"mainCategory": "<string>",
"subCategory": "<string>",
"traductionFR": "<string>",
"traductionEN": "<string>",
"icon": "<string>"
}
],
"commentaries": [
{
"grade": 123,
"content": "<string>",
"username": "<string>",
"date": "<string>"
}
],
"averageGrade": 123,
"totalGrades": 123,
"trendingScore": 123,
"performers": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"image": "<string>",
"webImage": "<string>"
}
]
}
],
"eventIdsCancelled": [
123
],
"eventIdsNotAvailable": [
123
],
"eventIdsPassed": [
123
],
"eventIdsDeleted": [
123
]
},
"pagination": {
"totalItems": 123,
"totalPages": 123,
"perPage": 123,
"currentPage": 123,
"nextPageParams": {
"pageNumber": 123,
"limit": 123
},
"previousPageParams": {
"pageNumber": 123,
"limit": 123
}
}
}Event Data Fetching and Storage
Get events catalogue
Get and store all events. You can use it to keep your database up to date.
POST
/
v2
/
get
/
catalogue
Get events catalogue
Authorizations
It is the "access_token" returned after login
Body
application/json
You can define a location filter corresponding to a circle or a rectangle.
- Option 1
- Option 2
Show child attributes
Show child attributes
You can only get the events updated after this date. Use it to keep your own database up to date.
Example:
"2024-10-10T12:00:06.138Z"
Set it to true if you want to retrieve events whose availabilities have been modified.
Example:
false
Required range:
1 <= x <= 500Example:
5
Example:
1
Was this page helpful?
⌘I